combineAffyBatch {matchprobes} | R Documentation

## A function to combine data from different Affymetrix genechip types into one AffyBatch.

### Description

The function takes a list of AffyBatches and their respective probe sequence information and merges the intensities from the matching probes only into one AffyBatch.

### Usage

    combineAffyBatch(batch, probepkg, newcdf, verbose=TRUE)

### Arguments

`batch` | A `list` of AffyBatches.
`probepkg` | A character vector of the same length as `batch`, containing the names of the probe sequences libraries (for example, `hgu133aprobe`) that go with the AffyBatches.
`newcdf` | Character. The name of the name CDF environment that is to be created.
`verbose` | Logical. If TRUE, messages are printed to the console.

### Details

Note that batch effects may play an important role, e.g. because of slightly but systematically different reagents or sample treatments in the experiments at led to the data in the different AffyBatches. Thus, please interprete the results of this function with caution.

Probe to probe-set mapping: after the common probes between all AffyBatches have been identified, their mapping into probe sets (=the new CDF environment) is obtained from the restriction of the mapping of the first element of `batch` (see variable `REFCHIP` in the code).

If you want to use this function, please have a look at its code and if necessary, check intermediate results.

### Value

A list with two elements: `dat`, an `AffyBatch`, and `cdf`, an environment that contains the probe-set to probe mapping.
The phenoData slot of `dat` will be empty. This is because in most cases this requires some manual interference. You will need to construct a combined phenoData slot by yourself.

### Author(s)

R. Gentleman, Wolfgang Huber

### Examples

      ## see vignette!

[Package matchprobes version 1.8.1 Index]